Loading...
Searching...
No Matches
Opm::WGHelpers::TargetCalculator< Scalar, IndexTraits > Class Template Reference

Based on a group control mode, extract or calculate rates, and provide other conveniences. More...

`#include <TargetCalculator.hpp>`

## Public Member Functions

| TargetCalculator (const Group::ProductionCMode cmode, const PhaseUsageInfo< IndexTraits > &pu, const std::vector< Scalar > &resv_coeff, const Scalar group_grat_target_from_sales, const std::string &group_name, const GroupState< Scalar > &group_state, const bool use_gpmaint)
template<typename RateType>
RateType | calcModeRateFromRates (const std::vector< RateType > &rates) const
template<typename RateType>
RateType | calcModeRateFromRates (const RateType *rates) const
Scalar | groupTarget (const std::optional< Group::ProductionControls > &ctrl, DeferredLogger &deferred_logger) const
GuideRateModel::Target | guideTargetMode () const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WGHelpers::TargetCalculator< Scalar, IndexTraits >

Based on a group control mode, extract or calculate rates, and provide other conveniences.

The documentation for this class was generated from the following files:

- opm/simulators/wells/TargetCalculator.hpp
- opm/simulators/wells/TargetCalculator.cpp